Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Modules

Get Module Statistics
GET /training/modules/statistics
https://api.relesysapp.net/api/v1.4/training/modules/statistics
Get a list of Course Module Statistics for participation - including calculated values for users without any completions.
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
completionRate double Filterable Sortable optional
courseModuleId string / guid Filterable optional
courseModuleParticipationState string Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
performanceScore double Filterable Sortable optional
points integer Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseModuleId":"f7f1dc4f-4b45-4d2f-bc56-88589fc55e08","userId":"abb845ea-30b2-42af-9a11-1718970c3ea1","courseModuleParticipationState":"Completed","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-12-09T22:00:00+00:00","completionRate":1.0,"performanceScore":0.94,"points":10},{"courseModuleId":"c331ac07-cee9-4d0f-9491-6ba5824e764c","userId":"058b50e8-708d-4e69-8dc7-eb028624ec5d","courseModuleParticipationState":"Not Started","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-12-09T22:00:00+00:00","completionRate":0.0,"performanceScore":null,"points":0}]}
object
  count integer      
  data array[object]      
   completionRate double      
   courseModuleId string / guid      
   courseModuleParticipationState string      
   creationDateTime datetimeoffset      
   lastModifiedDateTime datetimeoffset      
   performanceScore double      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string